<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron.authentication-configuration">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="anonymous,authentication-name,authorization-name,credential-reference,extends,forwarding-mode,host-feature,kerberos-security-factory,mechanism-properties,port,protocol,realm,sasl-mechanism-selector,security-domain,webservices"/>
        <elem name="op-params-mapping" value="anonymous,authentication-name,authorization-name,credential-reference,extends,forwarding-mode,host,kerberos-security-factory,mechanism-properties,port,protocol,realm,sasl-mechanism-selector,security-domain,webservices"/>
        <elem name="addr-params" value="profile,host,subsystem,authentication-configuration"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.authentication-configuration.$authentication-configuration"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.security-domain.$security-domain" optional="true"/>
        <capability name="$profile.org.wildfly.security.security-factory.credential.$kerberos-security-factory" optional="true"/>
        <capability name="$profile.org.wildfly.security.authentication-configuration.$extends" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.elytron"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="webservices" nillable="true"/>
        <param name="kerberos-security-factory" nillable="true"/>
        <param name="forwarding-mode" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="authentication-name" nillable="true"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="sasl-mechanism-selector" nillable="true"/>
        <param name="credential-reference" nillable="true"/>
        <param name="security-domain" nillable="true"/>
        <param name="protocol" nillable="true"/>
        <param name="extends" nillable="true"/>
        <param name="authorization-name" nillable="true"/>
        <param name="mechanism-properties" nillable="true"/>
        <param name="port" nillable="true"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="anonymous" nillable="true"/>
        <param name="realm" nillable="true"/>
        <param name="host-feature" nillable="true"/>
        <param name="authentication-configuration" feature-id="true"/>
    </params>
</feature-spec>